importedScanByIntegration
Returns imported scans from a scan tool
importedScanByIntegration(
integrationId: Int!
page: Int
limit: Int
sort: ImportedScanSortOptionInput
assetName: String
): ImportedScanPaginatedCollection!
Arguments
importedScanByIntegration.integrationId ● Int! non-null scalar
importedScanByIntegration.page ● Int scalar
importedScanByIntegration.limit ● Int scalar
importedScanByIntegration.sort ● ImportedScanSortOptionInput input
importedScanByIntegration.assetName ● String scalar
Type
ImportedScanPaginatedCollection object
Example request
This generated query uses placeholders for required values. Replace them with values available to your API key before running it.
Before you run it
Run the integrations query first and use data.integrations.collection[].id as integrationId.
- cURL
- JavaScript
- Python
curl --request POST https://api.convisoappsec.com/graphql \
--header "x-api-key: $CONVISO_API_KEY" \
--header "content-type: application/json" \
--data '{"query":"query GetImportedScanByIntegration($integrationId: Int!) {\n importedScanByIntegration(integrationId: $integrationId) { collection { id status asset { __typename } } metadata { currentPage limitValue totalCount } }\n}","variables":{"integrationId":1}}'
const response = await fetch('https://api.convisoappsec.com/graphql', {
method: 'POST',
headers: {
'content-type': 'application/json',
'x-api-key': process.env.CONVISO_API_KEY,
},
body: JSON.stringify({
query: "query GetImportedScanByIntegration($integrationId: Int!) {\n importedScanByIntegration(integrationId: $integrationId) { collection { id status asset { __typename } } metadata { currentPage limitValue totalCount } }\n}",
variables: {
"integrationId": 1
},
}),
});
const { data, errors } = await response.json();
if (errors) throw new Error(errors.map(({ message }) => message).join(', '));
console.log(data);
import json
import os
import requests
response = requests.post(
'https://api.convisoappsec.com/graphql',
headers={
'content-type': 'application/json',
'x-api-key': os.environ['CONVISO_API_KEY'],
},
json={
'query': "query GetImportedScanByIntegration($integrationId: Int!) {\n importedScanByIntegration(integrationId: $integrationId) { collection { id status asset { __typename } } metadata { currentPage limitValue totalCount } }\n}",
'variables': json.loads("{\"integrationId\":1}"),
},
timeout=30,
)
response.raise_for_status()
payload = response.json()
if payload.get('errors'):
raise RuntimeError(payload['errors'])
print(payload['data'])
Contribute to the Docs
Found something outdated or missing? Help us improve the documentation with a quick suggestion or edit.
How to contribute